[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

GrayToRGBAccessor< VALUETYPE > Class Template Reference

`#include <vigra/rgbvalue.hxx>`

## Public Member Functions

template<class ITERATOR >
value_type | operator() (ITERATOR const &i) const
template<class ITERATOR , class DIFFERENCE >
value_type | operator() (ITERATOR const &i, DIFFERENCE d) const

## Detailed Description

template<class VALUETYPE>
class vigra::GrayToRGBAccessor< VALUETYPE >

Create an RGB view for a grayscale image by making all three channels equal.

#include <vigra/rgbvalue.hxx>
Namespace: vigra

## Member Function Documentation

## ◆ operator()() [1/2]

template<class VALUETYPE >
template<class ITERATOR >

value_type operator() | ( | ITERATOR const & | i | ) | const

Get RGB value for the given pixel.

## ◆ operator()() [2/2]

template<class VALUETYPE >
template<class ITERATOR , class DIFFERENCE >

value_type operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE | d
| ) |  | const

Get RGB value at an offset

The documentation for this class was generated from the following file:

- vigra/rgbvalue.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.2